Bug 1282001 - [abrt] wireshark-gnome: scan_local_interfaces(): wireshark killed by SIGSEGV
[abrt] wireshark-gnome: scan_local_interfaces(): wireshark killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1b615c5c50dae6d2f9cec2502b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 23:14 EST by Robert Hancock
Modified: 2016-12-20 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.29 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: core_backtrace (4.94 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: dso_list (13.52 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: environ (1.86 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: maps (66.11 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: open_fds (997 bytes, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details
File: var_log_messages (579 bytes, text/plain)
2015-11-13 23:14 EST, Robert Hancock
no flags Details

  None (edit)
Description Robert Hancock 2015-11-13 23:14:16 EST
Description of problem:
Trying to start a Wifi monitor mode capture using Intel 7260 wireless

Version-Release number of selected component:
wireshark-gnome-1.12.8-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/sbin/wireshark
crash_function: scan_local_interfaces
executable:     /usr/sbin/wireshark
global_pid:     5377
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 scan_local_interfaces at iface_lists.c:287
 #1 refresh_local_interface_lists at capture_dlg.c:6139
 #2 iface_mon_handler2 at iface_monitor.c:108
 #3 parse_cb at msg.c:716
 #4 link_msg_parser at route/link.c:639
 #5 nl_cache_parse at cache.c:944
 #6 nl_msg_parse at msg.c:739
 #7 iface_mon_handler at iface_monitor.c:118
 #8 nl_cb_call at ../include/netlink-private/netlink.h:145
 #9 recvmsgs at nl.c:1011
Comment 1 Robert Hancock 2015-11-13 23:14:21 EST
Created attachment 1093975 [details]
File: backtrace
Comment 2 Robert Hancock 2015-11-13 23:14:22 EST
Created attachment 1093976 [details]
File: cgroup
Comment 3 Robert Hancock 2015-11-13 23:14:24 EST
Created attachment 1093977 [details]
File: core_backtrace
Comment 4 Robert Hancock 2015-11-13 23:14:25 EST
Created attachment 1093978 [details]
File: dso_list
Comment 5 Robert Hancock 2015-11-13 23:14:26 EST
Created attachment 1093979 [details]
File: environ
Comment 6 Robert Hancock 2015-11-13 23:14:27 EST
Created attachment 1093980 [details]
File: exploitable
Comment 7 Robert Hancock 2015-11-13 23:14:28 EST
Created attachment 1093981 [details]
File: limits
Comment 8 Robert Hancock 2015-11-13 23:14:30 EST
Created attachment 1093982 [details]
File: maps
Comment 9 Robert Hancock 2015-11-13 23:14:32 EST
Created attachment 1093983 [details]
File: mountinfo
Comment 10 Robert Hancock 2015-11-13 23:14:33 EST
Created attachment 1093984 [details]
File: namespaces
Comment 11 Robert Hancock 2015-11-13 23:14:34 EST
Created attachment 1093985 [details]
File: open_fds
Comment 12 Robert Hancock 2015-11-13 23:14:36 EST
Created attachment 1093986 [details]
File: proc_pid_status
Comment 13 Robert Hancock 2015-11-13 23:14:37 EST
Created attachment 1093987 [details]
File: var_log_messages
Comment 15 Fedora End Of Life 2016-11-24 08:24:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:52:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.